Bug 633645 - VNC init script is too verbose on stdout
VNC init script is too verbose on stdout
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-14 01:22 EDT by Ambarish Sridharanarayanan
Modified: 2013-04-30 19:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: tigervnc-1.0.90-0.15.20100420svn4030.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-21 02:01:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ambarish Sridharanarayanan 2010-09-14 01:22:12 EDT
Description of problem:

Init scripts should not dump output on stdout and mess with the display. The vncserver initscript does.

Version-Release number of selected component (if applicable):
tigervnc-server-1.0.90-0.13.20100420svn4030.fc13.i686

How reproducible:
Always


Steps to Reproduce:
1. chkconfig vncserver on
2. Make sure there's a valid entry in /etc/sysconfig/vncservers
3. reboot and watch boot log
  
Actual results:

Starting SMB services:                                     [  OK  ]
Starting VNC server: 1:foobar
New 'myhostname:1 (foobar)' desktop is myhostname:1

Starting applications specified in /home/foobar/.vnc/xstartup
Log file is /home/foobar/.vnc/myhostname:1.log

                                                           [  OK  ]
Starting atd:                                              [  OK  ]

Expected results:

Starting SMB services:                                     [  OK  ]
Starting VNC server: 1:foobar                              [  OK  ]
Starting atd:                                              [  OK  ]
Comment 1 Fedora Update System 2010-09-16 09:54:11 EDT
tigervnc-1.0.90-0.14.20100420svn4030.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/tigervnc-1.0.90-0.14.20100420svn4030.fc13
Comment 2 Fedora Update System 2010-09-21 20:35:48 EDT
tigervnc-1.0.90-0.15.20100420svn4030.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tigervnc'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/tigervnc-1.0.90-0.15.20100420svn4030.fc13
Comment 3 Fedora Update System 2010-10-21 02:01:38 EDT
tigervnc-1.0.90-0.15.20100420svn4030.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.